Bug 692937 - Replica install fails after step for "enable GSSAPI for replication"
Replica install fails after step for "enable GSSAPI for replication"
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Replication - General (Show other bugs)
1.2.8
Unspecified Unspecified
high Severity urgent
: ---
: ---
Assigned To: Rich Megginson
Viktor Ashirov
:
Depends On:
Blocks: 639035 389_1.2.8 692469 694571
  Show dependency treegraph
 
Reported: 2011-04-01 14:20 EDT by Rich Megginson
Modified: 2015-12-07 12:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 692469
Environment:
Last Closed: 2015-12-07 12:09:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
0001-Bug-692937-Replica-install-fails-after-step-for-enab.patch (8.00 KB, patch)
2011-04-01 14:51 EDT, Rich Megginson
nhosoi: review+
Details | Diff

  None (edit)
Comment 1 Rich Megginson 2011-04-01 14:51:44 EDT
Created attachment 489440 [details]
0001-Bug-692937-Replica-install-fails-after-step-for-enab.patch
Comment 2 Rich Megginson 2011-04-01 15:25:34 EDT
To ssh://git.fedorahosted.org/git/389/ds.git
   bb02e98..27ff25d  master -> master
commit 27ff25d8d928dc788b56ee614535f91dcf5f7f6f
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Fri Apr 1 12:44:23 2011 -0600
To ssh://git.fedorahosted.org/git/389/ds.git
   428efff..de41307  389-ds-base-1.2.8 -> 389-ds-base-1.2.8
commit de4130733cfe32d29f5e1c60d22a067346c55a53
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Fri Apr 1 12:44:23 2011 -0600

    Reviewed by: nhosoi (Thanks!)
    Branch: master
    Fix Description: Allow the deletion of the nsds5replicabinddn and
    nsds5replicacredentials attributes from the replication agreement.  These
    are not needed for SASL/EXTERNAL or SASL/GSSAPI.  NOTE: the agreement code
    will not warn that nsds5replicabinddn and nsds5replicacredentials are needed
    for simple and other bind methods.  It is the responsibility of the user
    to make sure these are specified.
    If the modify code executed in such a way that the transportinfo was set
    before bindmethod, the code would report an error that ldaps or tls cannot
    be used with SASL/GSSAPI.  There is no clean way to check to see if the
    state of the agreement is consistent after applying all mods, so we just
    remove this check.  With recent versions of the server, you can mix
    ssl/tls with sasl/gssapi.
    Platforms tested: RHEL6 x86_64
    Flag Day: no
    Doc impact: no
Comment 3 Jenny Galipeau 2011-05-16 12:49:49 EDT
Marking bug Verified.  Original bug (this is a clone) was verified.

Note You need to log in before you can comment on or make changes to this bug.